GNU bug report logs - #3700
23.1.50; verbose execution of configure script, determining the maximal length of command arguments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Peter Dyballa <Peter_Dyballa@HIDDEN>; merged with #9065, #13369, #29554; dated Sun, 28 Jun 2009 11:10:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3700 9065 13369 29554. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3700 9065 13369. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3700 9065. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 28 Jun 2009 11:04:54 +0000
From Peter_Dyballa@HIDDEN Sun Jun 28 04:04:53 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.9 required=4.0 tests=AWL autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n5SB4lxQ007712
	for <submit@HIDDEN>; Sun, 28 Jun 2009 04:04:49 -0700
Received: from mx10.gnu.org ([199.232.76.166]:48216)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <Peter_Dyballa@HIDDEN>)
	id 1MKsBi-0007Hv-OX
	for emacs-pretest-bug@HIDDEN; Sun, 28 Jun 2009 07:04:46 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <Peter_Dyballa@HIDDEN>)
	id 1MKsBh-00056v-5c
	for emacs-pretest-bug@HIDDEN; Sun, 28 Jun 2009 07:04:46 -0400
Received: from mout3.freenet.de ([195.4.92.93]:32772)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <Peter_Dyballa@HIDDEN>)
	id 1MKsBg-00056h-PI
	for emacs-pretest-bug@HIDDEN; Sun, 28 Jun 2009 07:04:45 -0400
Received: from [195.4.92.21] (helo=11.mx.freenet.de)
	by mout3.freenet.de with esmtpa (ID peter_dyballa@HIDDEN) (port 25) (Exim 4.69 #92)
	id 1MKsBd-0003ah-1W
	for emacs-pretest-bug@HIDDEN; Sun, 28 Jun 2009 13:04:41 +0200
Received: from p5b23e6b6.dip.t-dialin.net ([91.35.230.182]:57314 helo=[192.168.1.2])
	by 11.mx.freenet.de with esmtpsa (ID peter_dyballa@HIDDEN) (TLSv1:AES128-SHA:128) (port 25) (Exim 4.69 #79)
	id 1MKsBc-0003yG-L5
	for emacs-pretest-bug@HIDDEN; Sun, 28 Jun 2009 13:04:40 +0200
Mime-Version: 1.0 (Apple Message framework v753.1)
Content-Transfer-Encoding: quoted-printable
Message-Id: <5C97B10B-FB73-4BB0-9C82-6B27C1AC4CBF@HIDDEN>
Content-Type: text/plain; charset=WINDOWS-1252; delsp=yes; format=flowed
To: emacs-pretest-bug@HIDDEN
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: 23.1.50; verbose execution of configure script, determining the maximal length of command arguments
Date: Sun, 28 Jun 2009 13:04:32 +0200
X-Mailer: Apple Mail (2.753.1)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Hello!

The configure script of (lib)m17n-lib 1.5.4 is buggy and fails at =20
line #32967. The report was unclear or misleading (I found that the =20
function PKG_CHECK_MODULES() does not seem to be defined), so I tried =20=

to run it in a *compilation* buffer as 'sh -x ./configure' =96 and =20
after twelve hours it hasn't finished. Within minutes it finished in =20
GNU Emacs 21.3.50 and 22.3 =96 and also in *shell* buffer in GNU Emacs =20=

23.1.50. In the *compilation* buffers of GNU Emacs 23.0.60, 23.0.94, =20
and 23.1.50 the progress is slower than a snail when the script tries =20=

in a loop to determine the maximal length of command arguments. =20
"Words" with a length of a few K obviously cause this stop.

For the test I launched all five Emacsen with -Q, opened the prepared =20=

copy of the original directory in dired-mode, invoked M-x compile RET =20=

and changed the default 'make -k' into 'time nice +19 sh -x ./=20
configure' without pressing RET at once. After all lines were =20
prepared in mini-buffer I pressed RET in each.

The GNU Emacsen 23.x are all not really responsive (the system is, I =20
can move around the frames, I can resize them, but the windows do not =20=

refresh), changing to the other window works, but reaching the end of =20=

the buffer might succeed tomorrow. When GNU Emacs 23.1.50 was running =20=

with all my customisation, the time in mode-line was updated in =20
intervals of around 10 min.

GNU Emacs 23.0.60 refreshes fastest=85

--
Greetings
   Pete

Without vi there is only GNU Emacs






Acknowledgement sent to Peter Dyballa <Peter_Dyballa@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#3700; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Dec 2017 00:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.